/** 
 * Copyright (C) 2009 "Darwin V. Felix" <darwinfelix@users.sourceforge.net>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

package net.sf.spnego.example.controller;

import java.util.HashMap;
import java.util.Map;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import jakarta.servlet.http.HttpServletRequest;

@RestController
public class HelloController {
    
    @RequestMapping("/hello_spnego")
    final Map<String, String> hello(final HttpServletRequest request) {
        
        final Map<String, String> message = new HashMap<>();
        message.put("hello", request.getRemoteUser());
        
        System.out.printf("remote user: %s %n", message);
        
        return message;
    }
    
    @RequestMapping("/public/hello_public")
    final Map<String, String> helloPublic(final HttpServletRequest request) {
        
        final Map<String, String> message = new HashMap<>();
        message.put("hello", request.getRemoteUser());
        
        System.out.printf("public remote user: %s %n", message);
        
        return message;
    }
    
    @RequestMapping("/private/hello_private")
    final Map<String, String> helloPrivate(final HttpServletRequest request) {
        
        final Map<String, String> message = new HashMap<>();
        message.put("hello", request.getRemoteUser());
        
        System.out.printf("private remote user: %s %n", message);
        
        return message;
    }
}
